Bug 1730820

Summary: Mono 5.18.1.28 does not build for armv7hl
Product: [Fedora] Fedora Reporter: Timotheus Pokorra <mailinglists>
Component: monoAssignee: Xavier Lamien <lxtnow>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: chkr, itamar, john.j5live, lxtnow, rhughes, rstrode, sandmann
Target Milestone: ---   
Target Release: ---   
Hardware: armv7hl   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-07-22 05:07:14 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 245418    

Description Timotheus Pokorra 2019-07-17 19:03:01 UTC
see build https://koji.fedoraproject.org/koji/taskinfo?taskID=36304162

These are the relevant lines in the build log:

BUILDSTDERR: ../../mono/utils/mono-sigcontext.h:416:63: error: 'struct sigcontext' has no member named 'arm_sp'
BUILDSTDERR:   416 |  #define UCONTEXT_REG_SP(ctx) (((arm_ucontext*)(ctx))->sig_ctx.arm_sp)

Comment 1 Timotheus Pokorra 2019-07-20 21:08:52 UTC
Seems it builds now in Rawhide without changes, according to Koschei.
I will close the bug on Monday, if the build succeeds.

Comment 2 Timotheus Pokorra 2019-07-22 05:07:14 UTC
It seems something outside of Mono was broken in Rawhide, it is working again.